## r-cran-rio 0.5.16

=== DESCRIPTION ===
Package: rio
Type: Package
Title: A Swiss-Army Knife for Data I/O
Version: 0.5.16
Date: 2018-11-25
Authors@R: c(person("Jason", "Becker", role = "ctb", email = "jason@jbecker.co"),
             person("Chung-hong", "Chan", role = "aut", email = "chainsawtiney@gmail.com"),
             person("Geoffrey CH", "Chan", role = "ctb", email = "gefchchan@gmail.com"),
             person("Thomas J.", "Leeper",
                    role = c("aut", "cre"), 
                    email = "thosjleeper@gmail.com",
                    comment = c(ORCID = "0000-0003-4097-6326")),
             person("Christopher", "Gandrud", role = "ctb"),
             person("Andrew", "MacDonald", role = "ctb"),
             person("Ista", "Zahn", role = "ctb"),
             person("Stanislaus", "Stadlmann", role = "ctb"),
             person("Ruaridh", "Williamson", role = "ctb", email = "ruaridh.williamson@gmail.com"),
             person("Patrick", "Kennedy", role = "ctb"),
             person("Ryan", "Price", email = "ryapric@gmail.com", role = "ctb"),
             person("Trevor L", "Davis", email = "trevor.l.davis@gmail.com", role = "ctb"))
Description: Streamlined data import and export by making assumptions that
    the user is probably willing to make: 'import()' and 'export()' determine
    the data structure from the file extension, reasonable defaults are used for
    data import and export (e.g., 'stringsAsFactors=FALSE'), web-based import is
    natively supported (including from SSL/HTTPS), compressed files can be read
    directly without explicit decompression, and fast import packages are used where
    appropriate. An additional convenience function, 'convert()', provides a simple
    method for converting between file types.
URL: https://github.com/leeper/rio
BugReports: https://github.com/leeper/rio/issues
Depends: R (>= 2.15.0)
Imports: tools, stats, utils, foreign, haven (>= 1.1.0), curl (>= 0.6),
        data.table (>= 1.9.8), readxl (>= 0.1.1), openxlsx, tibble
Suggests: datasets, bit64, testthat, knitr, magrittr, clipr, csvy,
        feather, fst, hexView, jsonlite, readODS (>= 1.6.4), readr,
        rmatio, xml2 (>= 1.2.0), yaml
License: GPL-2
VignetteBuilder: knitr
RoxygenNote: 6.1.1
NeedsCompilation: no
Packaged: 2018-11-25 22:04:23 UTC; THOMAS
Author: Jason Becker [ctb],
  Chung-hong Chan [aut],
  Geoffrey CH Chan [ctb],
  Thomas J. Leeper [aut, cre] (<https://orcid.org/0000-0003-4097-6326>),
  Christopher Gandrud [ctb],
  Andrew MacDonald [ctb],
  Ista Zahn [ctb],
  Stanislaus Stadlmann [ctb],
  Ruaridh Williamson [ctb],
  Patrick Kennedy [ctb],
  Ryan Price [ctb],
  Trevor L Davis [ctb]
Maintainer: Thomas J. Leeper <thosjleeper@gmail.com>
Repository: CRAN
Date/Publication: 2018-11-26 05:30:03 UTC

## r-cran-rio 0.5.10

=== debian/changelog ===
r-cran-rio (0.5.10-3) unstable; urgency=medium

  * Rebuilding for R 3.5.0 transition
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 06 Jun 2018 13:10:56 -0500

r-cran-rio (0.5.10-2) unstable; urgency=medium

  * debian/control: Copy and paste correction
  * Take two of initial Debian Release 			(Closes:#900386)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 29 May 2018 22:48:36 -0500

r-cran-rio (0.5.10-1) unstable; urgency=low

  * Initial Debian Release (Closes:#900386)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 29 May 2018 21:26:03 -0500

=== debian/control ===
Source: r-cran-rio
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 10), dh-r, r-base-dev (>= 3.5.0), r-cran-foreign, r-cran-haven, r-cran-curl, r-cran-data.table, r-cran-readxl, r-cran-openxlsx, r-cran-tibble
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/edd/r-cran-rio
Vcs-Git: https://salsa.debian.org/edd/r-cran-rio.git
Homepage: https://cran.r-project.org/package=rio

Package: r-cran-rio
Architecture: all
Depends: ${misc:Depends}, ${R:Depends}, r-cran-foreign, r-cran-haven, r-cran-curl, r-cran-data.table, r-cran-readxl, r-cran-openxlsx, r-cran-tibble
Description: GNU R package with Swiss-army knife for data i/o
 Streamlined data import and export by making assumptions that the
 user is probably willing to make: 'import()' and 'export()' determine
 the data structure from the file extension, reasonable defaults are
 used for data import and export (e.g., 'stringsAsFactors=FALSE'),
 web-based import is natively supported (including from SSL/HTTPS),
 compressed files can be read directly without explicit decompression,
 and fast import packages are used where appropriate. An additional
 convenience function, 'convert()', provides a simple method for
 converting between file types.

## r-cran-rio 0.5.16

=== debian/changelog ===
r-cran-rio (0.5.16-2) unstable; urgency=medium

  * Rebuilt for r-4.0 transition

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 19 May 2020 20:50:20 -0500

r-cran-rio (0.5.16-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 29 Nov 2018 20:13:18 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), dh-r, r-base-dev (>= 3.5.0), r-cran-foreign, r-cran-haven, r-cran-curl, r-cran-data.table, r-cran-readxl, r-cran-openxlsx, r-cran-tibble
-Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 10), dh-r, r-base-dev (>= 4.0.0), r-cran-foreign, r-cran-haven, r-cran-curl, r-cran-data.table, r-cran-readxl, r-cran-openxlsx, r-cran-tibble
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rio
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rio.git
 Homepage: https://cran.r-project.org/package=rio

## r-cran-rio 0.5.26

=== debian/changelog ===
r-cran-rio (0.5.26-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 04 Mar 2021 17:02:12 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), dh-r, r-base-dev (>= 4.0.0), r-cran-foreign, r-cran-haven, r-cran-curl, r-cran-data.table, r-cran-readxl, r-cran-openxlsx, r-cran-tibble
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 11), dh-r, r-base-dev (>= 4.0.4), r-cran-foreign, r-cran-haven, r-cran-curl, r-cran-data.table, r-cran-readxl, r-cran-openxlsx, r-cran-tibble
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rio
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rio.git
 Homepage: https://cran.r-project.org/package=rio

## r-cran-rio 0.5.29

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Package: rio
 Type: Package
 Title: A Swiss-Army Knife for Data I/O
-Version: 0.5.16
-Date: 2018-11-25
+Version: 0.5.29
+Date: 2021-11-08
 Authors@R: c(person("Jason", "Becker", role = "ctb", email = "jason@jbecker.co"),
-             person("Chung-hong", "Chan", role = "aut", email = "chainsawtiney@gmail.com"),
+             person("Chung-hong", "Chan", role = "aut", email = "chainsawtiney@gmail.com",
+	     	     comment = c(ORCID = "0000-0002-6232-7530")),
              person("Geoffrey CH", "Chan", role = "ctb", email = "gefchchan@gmail.com"),
              person("Thomas J.", "Leeper",
                     role = c("aut", "cre"), 
@@ -17,7 +18,15 @@
              person("Ruaridh", "Williamson", role = "ctb", email = "ruaridh.williamson@gmail.com"),
              person("Patrick", "Kennedy", role = "ctb"),
              person("Ryan", "Price", email = "ryapric@gmail.com", role = "ctb"),
-             person("Trevor L", "Davis", email = "trevor.l.davis@gmail.com", role = "ctb"))
+             person("Trevor L", "Davis", email = "trevor.l.davis@gmail.com", role = "ctb"),
+             person("Nathan", "Day", email = "nathancday@gmail.com", role = "ctb"),
+             person("Bill", "Denney",
+                    email="wdenney@humanpredictions.com",
+                    role="ctb",
+                    comment=c(ORCID="0000-0002-5759-428X")),
+             person("Alex", "Bokov", email = "alex.bokov@gmail.com", role = "ctb",
+                    comment=c(ORCID="0000-0002-0511-9815"))
+             )
 Description: Streamlined data import and export by making assumptions that
     the user is probably willing to make: 'import()' and 'export()' determine
     the data structure from the file extension, reasonable defaults are used for
@@ -29,18 +38,19 @@
 URL: https://github.com/leeper/rio
 BugReports: https://github.com/leeper/rio/issues
 Depends: R (>= 2.15.0)
-Imports: tools, stats, utils, foreign, haven (>= 1.1.0), curl (>= 0.6),
+Imports: tools, stats, utils, foreign, haven (>= 1.1.2), curl (>= 0.6),
         data.table (>= 1.9.8), readxl (>= 0.1.1), openxlsx, tibble
-Suggests: datasets, bit64, testthat, knitr, magrittr, clipr, csvy,
-        feather, fst, hexView, jsonlite, readODS (>= 1.6.4), readr,
-        rmatio, xml2 (>= 1.2.0), yaml
+Suggests: datasets, bit64, testthat, knitr, magrittr, arrow, clipr,
+        feather, fst, hexView, jsonlite, pzfx, readODS (>= 1.6.4),
+        readr, rmarkdown, rmatio, xml2 (>= 1.2.0), yaml
 License: GPL-2
 VignetteBuilder: knitr
-RoxygenNote: 6.1.1
+Encoding: UTF-8
+RoxygenNote: 7.1.1
 NeedsCompilation: no
-Packaged: 2018-11-25 22:04:23 UTC; THOMAS
+Packaged: 2021-11-08 13:36:39 UTC; THOMAS
 Author: Jason Becker [ctb],
-  Chung-hong Chan [aut],
+  Chung-hong Chan [aut] (<https://orcid.org/0000-0002-6232-7530>),
   Geoffrey CH Chan [ctb],
   Thomas J. Leeper [aut, cre] (<https://orcid.org/0000-0003-4097-6326>),
   Christopher Gandrud [ctb],
@@ -50,7 +60,10 @@
   Ruaridh Williamson [ctb],
   Patrick Kennedy [ctb],
   Ryan Price [ctb],
-  Trevor L Davis [ctb]
+  Trevor L Davis [ctb],
+  Nathan Day [ctb],
+  Bill Denney [ctb] (<https://orcid.org/0000-0002-5759-428X>),
+  Alex Bokov [ctb] (<https://orcid.org/0000-0002-0511-9815>)
 Maintainer: Thomas J. Leeper <thosjleeper@gmail.com>
 Repository: CRAN
-Date/Publication: 2018-11-26 05:30:03 UTC
+Date/Publication: 2021-11-22 07:40:02 UTC

=== debian/changelog ===
r-cran-rio (0.5.29-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 26 Nov 2021 17:34:10 -0600

r-cran-rio (0.5.27-2) unstable; urgency=medium

  * Simple rebuild for unstable following Debian 11 release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 16 Aug 2021 17:16:51 -0500

r-cran-rio (0.5.27-1) experimental; urgency=medium

  * New upstream release (to experimental during freeze)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 01 Jul 2021 14:05:43 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), dh-r, r-base-dev (>= 4.0.4), r-cran-foreign, r-cran-haven, r-cran-curl, r-cran-data.table, r-cran-readxl, r-cran-openxlsx, r-cran-tibble
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 11), dh-r, r-base-dev (>= 4.1.2), r-cran-foreign, r-cran-haven, r-cran-curl, r-cran-data.table, r-cran-readxl, r-cran-openxlsx, r-cran-tibble
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rio
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rio.git
 Homepage: https://cran.r-project.org/package=rio

## r-cran-rio 1.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Package: rio
 Type: Package
 Title: A Swiss-Army Knife for Data I/O
-Version: 0.5.29
-Date: 2021-11-08
-Authors@R: c(person("Jason", "Becker", role = "ctb", email = "jason@jbecker.co"),
-             person("Chung-hong", "Chan", role = "aut", email = "chainsawtiney@gmail.com",
+Version: 1.0.1
+Authors@R: c(person("Jason", "Becker", role = "aut", email = "jason@jbecker.co"),
+             person("Chung-hong", "Chan", role = c("aut", "cre"), email = "chainsawtiney@gmail.com",
 	     	     comment = c(ORCID = "0000-0002-6232-7530")),
+             person("David", "Schoch", email = "david@schochastics.net", role = c("aut"),
+                     comment = c(ORCID = "0000-0003-2952-4812")),
              person("Geoffrey CH", "Chan", role = "ctb", email = "gefchchan@gmail.com"),
              person("Thomas J.", "Leeper",
-                    role = c("aut", "cre"), 
+                    role = "aut", 
                     email = "thosjleeper@gmail.com",
                     comment = c(ORCID = "0000-0003-4097-6326")),
              person("Christopher", "Gandrud", role = "ctb"),
@@ -35,24 +36,26 @@
     directly without explicit decompression, and fast import packages are used where
     appropriate. An additional convenience function, 'convert()', provides a simple
     method for converting between file types.
-URL: https://github.com/leeper/rio
-BugReports: https://github.com/leeper/rio/issues
-Depends: R (>= 2.15.0)
+URL: https://github.com/gesistsa/rio
+BugReports: https://github.com/gesistsa/rio/issues
+Depends: R (>= 3.6)
 Imports: tools, stats, utils, foreign, haven (>= 1.1.2), curl (>= 0.6),
-        data.table (>= 1.9.8), readxl (>= 0.1.1), openxlsx, tibble
-Suggests: datasets, bit64, testthat, knitr, magrittr, arrow, clipr,
-        feather, fst, hexView, jsonlite, pzfx, readODS (>= 1.6.4),
-        readr, rmarkdown, rmatio, xml2 (>= 1.2.0), yaml
+        data.table (>= 1.11.2), readxl (>= 0.1.1), tibble, stringi,
+        writexl, lifecycle, R.utils
+Suggests: datasets, bit64, testthat, knitr, magrittr, clipr, fst,
+        hexView, jsonlite, pzfx, readODS (>= 2.1.0), readr, rmarkdown,
+        rmatio, xml2 (>= 1.2.0), yaml, qs, arrow (>= 0.17.0)
 License: GPL-2
 VignetteBuilder: knitr
 Encoding: UTF-8
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.3
 NeedsCompilation: no
-Packaged: 2021-11-08 13:36:39 UTC; THOMAS
-Author: Jason Becker [ctb],
-  Chung-hong Chan [aut] (<https://orcid.org/0000-0002-6232-7530>),
+Packaged: 2023-09-19 10:00:11 UTC; chainsawriot
+Author: Jason Becker [aut],
+  Chung-hong Chan [aut, cre] (<https://orcid.org/0000-0002-6232-7530>),
+  David Schoch [aut] (<https://orcid.org/0000-0003-2952-4812>),
   Geoffrey CH Chan [ctb],
-  Thomas J. Leeper [aut, cre] (<https://orcid.org/0000-0003-4097-6326>),
+  Thomas J. Leeper [aut] (<https://orcid.org/0000-0003-4097-6326>),
   Christopher Gandrud [ctb],
   Andrew MacDonald [ctb],
   Ista Zahn [ctb],
@@ -64,6 +67,6 @@
   Nathan Day [ctb],
   Bill Denney [ctb] (<https://orcid.org/0000-0002-5759-428X>),
   Alex Bokov [ctb] (<https://orcid.org/0000-0002-0511-9815>)
-Maintainer: Thomas J. Leeper <thosjleeper@gmail.com>
+Maintainer: Chung-hong Chan <chainsawtiney@gmail.com>
 Repository: CRAN
-Date/Publication: 2021-11-22 07:40:02 UTC
+Date/Publication: 2023-09-19 11:20:02 UTC

=== debian/changelog ===
r-cran-rio (1.0.1-1) unstable; urgency=medium

  * New upstream release (with slight delay to wait for r-cran-writexl)

  * debian/control: Add new (Build-)Depends: r-cran-writexl, r-cran-r.utils    

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 18 Oct 2023 03:31:48 -0500

r-cran-rio (0.5.30-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 13)
  * debian/source/lintian-overrides: Moved file

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 06 Sep 2023 07:14:11 -0500

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), dh-r, r-base-dev (>= 4.1.2), r-cran-foreign, r-cran-haven, r-cran-curl, r-cran-data.table, r-cran-readxl, r-cran-openxlsx, r-cran-tibble
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.3.1), r-cran-foreign, r-cran-haven, r-cran-curl, r-cran-data.table, r-cran-readxl, r-cran-openxlsx, r-cran-tibble, r-cran-writexl, r-cran-r.utils
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rio
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rio.git
 Homepage: https://cran.r-project.org/package=rio
 
 Package: r-cran-rio
 Architecture: all
-Depends: ${misc:Depends}, ${R:Depends}, r-cran-foreign, r-cran-haven, r-cran-curl, r-cran-data.table, r-cran-readxl, r-cran-openxlsx, r-cran-tibble
+Depends: ${misc:Depends}, ${R:Depends}, r-cran-foreign, r-cran-haven, r-cran-curl, r-cran-data.table, r-cran-readxl, r-cran-openxlsx, r-cran-tibble, r-cran-writexl, r-cran-r.utils
 Description: GNU R package with Swiss-army knife for data i/o
  Streamlined data import and export by making assumptions that the
  user is probably willing to make: 'import()' and 'export()' determine

## r-cran-rio 1.1.1

=== debian/changelog ===
r-cran-rio (1.1.1-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 06 Jun 2024 07:00:24 -0500

r-cran-rio (1.1.0-1) unstable; urgency=medium

  * New upstream release
 
  * debian/control: Set Build-Depends: to current R versio
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 24 May 2024 22:49:47 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.3.1), r-cran-foreign, r-cran-haven, r-cran-curl, r-cran-data.table, r-cran-readxl, r-cran-openxlsx, r-cran-tibble, r-cran-writexl, r-cran-r.utils
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.4.0), r-cran-foreign, r-cran-haven, r-cran-curl, r-cran-data.table, r-cran-readxl, r-cran-openxlsx, r-cran-tibble, r-cran-writexl, r-cran-r.utils
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rio
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rio.git
 Homepage: https://cran.r-project.org/package=rio

## r-cran-rio 1.2.1

=== debian/changelog ===
r-cran-rio (1.2.1-1) unstable; urgency=medium

  * New upstream release
 
  * debian/control: Set Build-Depends: to current R versio

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 29 Jul 2024 08:53:21 -0500

## r-cran-rio 1.2.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: rio
 Type: Package
 Title: A Swiss-Army Knife for Data I/O
-Version: 1.0.1
+Version: 1.2.3
 Authors@R: c(person("Jason", "Becker", role = "aut", email = "jason@jbecker.co"),
              person("Chung-hong", "Chan", role = c("aut", "cre"), email = "chainsawtiney@gmail.com",
 	     	     comment = c(ORCID = "0000-0002-6232-7530")),
@@ -26,31 +26,33 @@
                     role="ctb",
                     comment=c(ORCID="0000-0002-5759-428X")),
              person("Alex", "Bokov", email = "alex.bokov@gmail.com", role = "ctb",
-                    comment=c(ORCID="0000-0002-0511-9815"))
+                    comment=c(ORCID="0000-0002-0511-9815")),
+             person("Hugo", "Gruson", role = "ctb", comment = c(ORCID = "0000-0002-4094-1476"))
              )
 Description: Streamlined data import and export by making assumptions that
     the user is probably willing to make: 'import()' and 'export()' determine
-    the data structure from the file extension, reasonable defaults are used for
-    data import and export (e.g., 'stringsAsFactors=FALSE'), web-based import is
-    natively supported (including from SSL/HTTPS), compressed files can be read
-    directly without explicit decompression, and fast import packages are used where
-    appropriate. An additional convenience function, 'convert()', provides a simple
-    method for converting between file types.
-URL: https://github.com/gesistsa/rio
+    the data format from the file extension, reasonable defaults are used for
+    data import and export, web-based import is natively supported (including
+    from SSL/HTTPS), compressed files can be read directly, and fast import
+    packages are used where appropriate. An additional convenience function,
+    'convert()', provides a simple method for converting between file types.
+URL: https://gesistsa.github.io/rio/, https://github.com/gesistsa/rio
 BugReports: https://github.com/gesistsa/rio/issues
-Depends: R (>= 3.6)
+Depends: R (>= 4.0)
 Imports: tools, stats, utils, foreign, haven (>= 1.1.2), curl (>= 0.6),
-        data.table (>= 1.11.2), readxl (>= 0.1.1), tibble, stringi,
-        writexl, lifecycle, R.utils
+        data.table (>= 1.11.2), readxl (>= 0.1.1), tibble, writexl,
+        lifecycle, R.utils, readr
 Suggests: datasets, bit64, testthat, knitr, magrittr, clipr, fst,
-        hexView, jsonlite, pzfx, readODS (>= 2.1.0), readr, rmarkdown,
-        rmatio, xml2 (>= 1.2.0), yaml, qs, arrow (>= 0.17.0)
+        hexView, jsonlite, pzfx, readODS (>= 2.1.0), rmarkdown, rmatio,
+        xml2 (>= 1.2.0), yaml, qs, arrow (>= 0.17.0), stringi, withr,
+        nanoparquet
 License: GPL-2
 VignetteBuilder: knitr
 Encoding: UTF-8
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.1
+Config/Needs/website: gesistsa/tsatemplate
 NeedsCompilation: no
-Packaged: 2023-09-19 10:00:11 UTC; chainsawriot
+Packaged: 2024-09-25 14:30:58 UTC; chainsawriot
 Author: Jason Becker [aut],
   Chung-hong Chan [aut, cre] (<https://orcid.org/0000-0002-6232-7530>),
   David Schoch [aut] (<https://orcid.org/0000-0003-2952-4812>),
@@ -66,7 +68,8 @@
   Trevor L Davis [ctb],
   Nathan Day [ctb],
   Bill Denney [ctb] (<https://orcid.org/0000-0002-5759-428X>),
-  Alex Bokov [ctb] (<https://orcid.org/0000-0002-0511-9815>)
+  Alex Bokov [ctb] (<https://orcid.org/0000-0002-0511-9815>),
+  Hugo Gruson [ctb] (<https://orcid.org/0000-0002-4094-1476>)
 Maintainer: Chung-hong Chan <chainsawtiney@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-09-19 11:20:02 UTC
+Date/Publication: 2024-09-25 17:20:02 UTC

=== debian/changelog ===
r-cran-rio (1.2.3-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 27 Sep 2024 10:24:10 -0500

r-cran-rio (1.2.2-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 25 Aug 2024 21:14:34 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.4.0), r-cran-foreign, r-cran-haven, r-cran-curl, r-cran-data.table, r-cran-readxl, r-cran-openxlsx, r-cran-tibble, r-cran-writexl, r-cran-r.utils
+Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.4.1), r-cran-foreign, r-cran-haven, r-cran-curl, r-cran-data.table, r-cran-readxl, r-cran-openxlsx, r-cran-tibble, r-cran-writexl, r-cran-r.utils
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rio
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rio.git

## r-cran-rio 1.2.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: rio
 Type: Package
 Title: A Swiss-Army Knife for Data I/O
-Version: 1.2.3
+Version: 1.2.4
 Authors@R: c(person("Jason", "Becker", role = "aut", email = "jason@jbecker.co"),
              person("Chung-hong", "Chan", role = c("aut", "cre"), email = "chainsawtiney@gmail.com",
 	     	     comment = c(ORCID = "0000-0002-6232-7530")),
@@ -27,8 +27,8 @@
                     comment=c(ORCID="0000-0002-5759-428X")),
              person("Alex", "Bokov", email = "alex.bokov@gmail.com", role = "ctb",
                     comment=c(ORCID="0000-0002-0511-9815")),
-             person("Hugo", "Gruson", role = "ctb", comment = c(ORCID = "0000-0002-4094-1476"))
-             )
+             person("Hugo", "Gruson", role = "ctb", comment = c(ORCID = "0000-0002-4094-1476")),
+             person("Jacob", "Mears", role = "ctb"))
 Description: Streamlined data import and export by making assumptions that
     the user is probably willing to make: 'import()' and 'export()' determine
     the data format from the file extension, reasonable defaults are used for
@@ -45,19 +45,20 @@
 Suggests: datasets, bit64, testthat, knitr, magrittr, clipr, fst,
         hexView, jsonlite, pzfx, readODS (>= 2.1.0), rmarkdown, rmatio,
         xml2 (>= 1.2.0), yaml, qs, arrow (>= 0.17.0), stringi, withr,
-        nanoparquet
+        nanoparquet, qs2 (>= 0.1.5)
 License: GPL-2
 VignetteBuilder: knitr
 Encoding: UTF-8
-RoxygenNote: 7.3.1
+RoxygenNote: 7.3.2
 Config/Needs/website: gesistsa/tsatemplate
 NeedsCompilation: no
-Packaged: 2024-09-25 14:30:58 UTC; chainsawriot
+Packaged: 2025-09-25 10:57:25 UTC; chainsawriot
 Author: Jason Becker [aut],
-  Chung-hong Chan [aut, cre] (<https://orcid.org/0000-0002-6232-7530>),
-  David Schoch [aut] (<https://orcid.org/0000-0003-2952-4812>),
+  Chung-hong Chan [aut, cre] (ORCID:
+    <https://orcid.org/0000-0002-6232-7530>),
+  David Schoch [aut] (ORCID: <https://orcid.org/0000-0003-2952-4812>),
   Geoffrey CH Chan [ctb],
-  Thomas J. Leeper [aut] (<https://orcid.org/0000-0003-4097-6326>),
+  Thomas J. Leeper [aut] (ORCID: <https://orcid.org/0000-0003-4097-6326>),
   Christopher Gandrud [ctb],
   Andrew MacDonald [ctb],
   Ista Zahn [ctb],
@@ -67,9 +68,10 @@
   Ryan Price [ctb],
   Trevor L Davis [ctb],
   Nathan Day [ctb],
-  Bill Denney [ctb] (<https://orcid.org/0000-0002-5759-428X>),
-  Alex Bokov [ctb] (<https://orcid.org/0000-0002-0511-9815>),
-  Hugo Gruson [ctb] (<https://orcid.org/0000-0002-4094-1476>)
+  Bill Denney [ctb] (ORCID: <https://orcid.org/0000-0002-5759-428X>),
+  Alex Bokov [ctb] (ORCID: <https://orcid.org/0000-0002-0511-9815>),
+  Hugo Gruson [ctb] (ORCID: <https://orcid.org/0000-0002-4094-1476>),
+  Jacob Mears [ctb]
 Maintainer: Chung-hong Chan <chainsawtiney@gmail.com>
 Repository: CRAN
-Date/Publication: 2024-09-25 17:20:02 UTC
+Date/Publication: 2025-09-26 22:20:09 UTC

=== debian/changelog ===
r-cran-rio (1.2.4-1) unstable; urgency=medium

  * New upstream release
 
  * debian/control: Set Build-Depends: to current R versio
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 01 Oct 2025 14:33:22 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.4.1), r-cran-foreign, r-cran-haven, r-cran-curl, r-cran-data.table, r-cran-readxl, r-cran-openxlsx, r-cran-tibble, r-cran-writexl, r-cran-r.utils
-Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.5.1), r-cran-foreign, r-cran-haven, r-cran-curl, r-cran-data.table, r-cran-readxl, r-cran-openxlsx, r-cran-tibble, r-cran-writexl, r-cran-r.utils
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rio
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rio.git
 Homepage: https://cran.r-project.org/package=rio

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-dbi package
# Copyright 2003 - 2018 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/rio_([-\d\.]*)\.tar\.gz
